<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8"/>
	<meta type="Content-type" content="text/html;charset=UTF-8" />
	<title>数组和字符串</title>
	<style type="text/css"></style>
</head>
<body>
	<script type="text/javascript">
		var str="aaAAAbbddfc";
		document.write(str.indexOf('b'),"<br>");
		/*
		split()
		：将一个字符串转换成一个字符串数组
		 */ 
		var Newarr=str.split("");
		document.write("将字符串转换为数组："+Newarr);
		document.write("类型："+ typeof Newarr);//Object
		var arr=new Array("a","b","c","d","e","f");
		/*
		数组的方法：
		//使数组以字符串的形式输出，并以逗号分隔
		document.write("toS："+ typeof arr.toString());//String
		// 输出数组本身
		document.write("vO："+ typeof arr.valueOf());//Object
		//使数组以字符串的形式输出，并以逗号分隔
		document.write("toL："+ typeof arr.toLocaleString());//String
		//分隔数组
		document.write("joi："+arr.join('|'));//String
		document.write("pu："+arr.push("g"));//修改后的数组长度
		document.write("po："+arr.pop());//移除数组末尾的项，并返回移除项
		document.write("sh："+arr.shift());//移除数组首部的项，并返回移除项
		document.write("unsh："+arr.unshift('a'));//移除数组首部的项，并返回移除项
		document.write("sor："+arr.sort());//数组排序，默认升序
		document.write("rev："+arr.reverse());//数组排序，倒排
		*/
		/*
		操作方法：
		document.write("复制数组："+arr.concat());//返回复制后数组
		document.write("基于当前数组的项创建新数组："+arr.slice(2,4));//start:2，end:4返回新数组
		document.write("数组删："+arr.splice(2,1));//返回删除的内容
		document.write("数组插："+arr.splice(2,0,1));//无返回值
		document.write("数组替："+arr.splice(2,2,"r"));//返回替换的内容和个数
		document.write("向后查找："+arr.indexOf("b"));
		document.write("向前查找："+arr.lastIndexOf("b"));
		var arr1=new Array(1,2,3,4,5,6);
		function compare(value){
			return value>4
		};
		function sum(value1,value2){
			return value1+value2;
		};
		document.write(arr1.every(compare));//都满足，返回true
		document.write(arr1.map(compare));//返回每次函数中的结果
		document.write(arr1.some(compare));//结果有一个对，返回true
		document.write(arr1.reduce(sum));//向后遍历数组
		document.write(arr1.reduceRight(sum));//向后遍历数组
		*/
	</script>
</body>
</html>